%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')

Name:		pyephem
Version:	3.7.3.4
Release:	2%{?dist}
Summary:	The astronomy library for Python

Group:		Development/Libraries
License:	LGPLv3
URL:		http://rhodesmill.org/pyephem/
Source0:	http://pypi.python.org/packages/source/p/pyephem/%{name}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python-devel

%description
PyEphem provides scientific-grade astronomical
computations for the Python programming language. 

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root=$RPM_BUILD_ROOT

#%%check
#%%{__python} setup.py test
# tests disabled as they're hardcoded to certain timezones
# see https://bugs.launchpad.net/pyephem/+bug/710602

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root,-)
%doc COPYING INSTALL LICENSE-GPL LICENSE-LGPL PKG-INFO README
%{python_sitearch}/ephem
%{python_sitearch}/*egg-info
%exclude %{python_sitearch}/ephem/tests


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Andrew Elwell <andrew.elwell@gmail.com> - 3.7.3.4-1
- New upstream release (closes #590476)
- CHANGELOG no longer included

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 3.7.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.2.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 3.7.2.3-3
- Rebuild for Python 2.6

* Sun Jul 27 2008 Marek Mahut <mmahut@fedoraproject.org> - 3.7.2.3-2
- Revision increase

* Thu Apr 21 2008 Marek Mahut <mmahut@fedoraproject.org> - 3.7.2.3-1
- Initial build
